## php-json-schema 6.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JsonSchema.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JsonSchema.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JsonSchema"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JsonSchema"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## php-json-schema 1.4.2

=== debian/changelog ===
php-json-schema (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Tue, 16 Jun 2015 09:53:42 -0400

php-json-schema (1.4.1-1) unstable; urgency=medium

  [ Martin Aarhof ]
  * proposal on new constraints name

  [ David Prévot ]
  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Sat, 18 Apr 2015 23:28:05 -0400

php-json-schema (1.3.7-1) unstable; urgency=low

  [ andrea rota ]
  * Initial release (closes: #714179)

 -- David Prévot <taffit@debian.org>  Fri, 13 Feb 2015 16:44:08 -0400

=== debian/control ===
Source: php-json-schema
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: andrea rota <a@xelera.eu>, David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9),
               help2man,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.6
Homepage: https://github.com/justinrainbow/json-schema
Vcs-Git: git://anonscm.debian.org/pkg-php/php-json-schema.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-json-schema.git

Package: php-json-schema
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: implementation of JSON schema
 JSON Schema defines the media type "application/schema+json", a JSON
 based format for defining the structure of JSON data. JSON Schema
 provides a contract for what JSON data is required for a given
 application and how to interact with it. JSON Schema is intended to
 define validation, documentation, hyperlink navigation, and interaction
 control of JSON data.
 .
 This package provides a PHP library for validating JSON Structures
 against a given Schema.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM := $(shell head -1 debian/changelog | sed 's/.*(//;s/-.?*).*//')

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab --output src/JsonSchema/autoload.php src/JsonSchema
	phpab \
		--output autoload.php \
		--basedir . \
		src/JsonSchema \
		tests/JsonSchema/Tests

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --bootstrap autoload.php
else
	@echo "** tests disabled"
endif

override_dh_installman:
	mkdir --parent $(CURDIR)/debian/tmp
	help2man \
		--name='JSON Schema command line interface' \
		--version-string=$(UPSTREAM) \
		--no-info \
		$(CURDIR)/bin/validate-json \
		> $(CURDIR)/debian/tmp/validate-json.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog

get-orig-source:
	uscan --verbose --force --rename

=== debian/tests/control ===
Test-Command: phpab --output autoload.php --template debian/autoload.php.tpl --basedir . tests/JsonSchema/Tests && phpunit --bootstrap autoload.php
Restrictions: rw-build-tree
Depends: @, phpab, phpunit

=== debian/watch ===
version=3
options="uversionmangle=s/-ALPHA/~alpha/;s/-BETA/~beta/;s/-RC/~rc/;s/.+\/v?(.*)\.tar\.gz/php-json-schema-$1.tar.gz/" \
https://github.com/justinrainbow/json-schema/tags .*/v?(\d[\d\.]*-?\w*)\.tar\.gz

## php-json-schema 1.6.1

=== debian/changelog ===
php-json-schema (1.6.1-1build1) xenial; urgency=medium

  * No-change rebuild against php 7

 -- Nish Aravamudan <nish.aravamudan@canonical.com>  Thu, 31 Mar 2016 02:12:00 +0000

php-json-schema (1.6.1-1) unstable; urgency=medium

  [ Will Pillar ]
  * Fix exclusive min/max strictness

  [ bighappyface ]
  * feat(composer): require PHP 5.3.29 (PHP 5.3.x EOL version) minimum
  * feat(Factory): add setConstraintClass

 -- David Prévot <taffit@debian.org>  Wed, 27 Jan 2016 22:53:29 -0400

php-json-schema (1.6.0-1) unstable; urgency=medium

  [ Maks3w ]
  * Add constraint factory

  [ Soufiane Ghzal ]
  * Create .gitattributes

  [ David Prévot ]
  * Adapt packaging to removed tests

 -- David Prévot <taffit@debian.org>  Thu, 07 Jan 2016 18:41:21 -0400

php-json-schema (1.5.0-1) unstable; urgency=medium

  [ Andy Raines ]
  * Now more functionality for references works

 -- David Prévot <taffit@debian.org>  Sat, 12 Sep 2015 02:33:22 -0400

php-json-schema (1.4.4-1) unstable; urgency=medium

  [ Frank Göldner ]
  * Throw exception if max depth exceeded

 -- David Prévot <taffit@debian.org>  Wed, 29 Jul 2015 15:26:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper (>= 9),
                help2man,
                phpab,
-               phpunit,
                pkg-php-tools (>= 1.7~)
 Standards-Version: 3.9.6
 Homepage: https://github.com/justinrainbow/json-schema

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/ \
https://github.com/justinrainbow/json-schema/tags .*/v?(\d[\d\.]*-?\w*)\.tar\.gz

## php-json-schema 5.2.1

=== debian/changelog ===
php-json-schema (5.2.1-2) unstable; urgency=medium

  * Upload new version needed by composer 1.4.3 to unstable

 -- David Prévot <taffit@debian.org>  Sun, 06 Aug 2017 16:00:01 -0400

php-json-schema (5.2.1-1) experimental; urgency=medium

  * Ship upstream examples
  * Ship upstream drafts
  * Update Standards-Version to 4.0.1

 -- David Prévot <taffit@debian.org>  Sun, 06 Aug 2017 14:33:27 -0400

php-json-schema (2.0.5-1) experimental; urgency=medium

  [ bighappyface ]
  * chore(composer): remove version in favor of VCS tags

  [ Dmitry Varennikov ]
  * Throw `ResourceNotFoundException` outside of re-defined error-handler

  [ dishuostec ]
  * Wrong constraint of error

 -- David Prévot <taffit@debian.org>  Sat, 04 Jun 2016 11:49:47 -0400

php-json-schema (2.0.4-1) experimental; urgency=medium

  [ David Porter ]
  * Revert "Do not override error handler"

  [ bighappyface ]
  * chore(release): 2.0.4

 -- David Prévot <taffit@debian.org>  Wed, 25 May 2016 11:26:09 -0400

php-json-schema (2.0.3-1) experimental; urgency=medium

  [ Sławomir Chrobak ]
  * Skips min/max properties validation for non objects

  [ bighappyface ]
  * chore(release): 2.0.3

  [ Dmitry Varennikov ]
  * Deleted unused stream context and check if a local file exists

 -- David Prévot <taffit@debian.org>  Wed, 11 May 2016 19:20:04 -0400

php-json-schema (2.0.1-1) experimental; urgency=medium

  [ bighappyface ]
  * feat(UriRetriever): application/json support
  * chore(release): 2.0.1

 -- David Prévot <taffit@debian.org>  Sat, 30 Apr 2016 16:25:07 -0400

php-json-schema (2.0.0-1) experimental; urgency=medium

  * Upload to experimental since composer currently (as of 1.0.0-1)
    depends on php-json-schema (<< 2~~)

  [ bighappyface ]
  * chore(LICENSE): switch to MIT

  [ Rudolf Tucek ]
  * Moving constraints min- and maxProperties to ObjectConstraint

  [ Benoît Burnichon ]
  * Add Rfc339 utility class to create instances of DateTime

  [ Joost Nijhuis ]
  * Fix RefResolver and make it compatible with draft-04 #240

  [ David Prévot ]
  * Update Standards-Version to 3.9.8
  * Update license (switch back to Expat)

 -- David Prévot <taffit@debian.org>  Fri, 15 Apr 2016 09:58:20 -0400

php-json-schema (1.6.1-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.7
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Wed, 09 Mar 2016 15:57:55 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                help2man,
                phpab,
                pkg-php-tools (>= 1.7~)
-Standards-Version: 3.9.6
+Standards-Version: 4.0.1
 Homepage: https://github.com/justinrainbow/json-schema
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-json-schema.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-json-schema.git

## php-json-schema 5.2.6

=== debian/changelog ===
php-json-schema (5.2.6-1) unstable; urgency=medium

  [ Erayd ]
  * Add a path to the default internal URI (#459) (#460)

 -- David Prévot <taffit@debian.org>  Tue, 24 Oct 2017 15:56:33 -1000

php-json-schema (5.2.5-1) unstable; urgency=medium

  [ Erayd ]
  * Don't add a `file://` prefix to URI that already have a scheme (#455) (#457)

 -- David Prévot <taffit@debian.org>  Fri, 13 Oct 2017 08:53:16 -1000

php-json-schema (5.2.4-1) unstable; urgency=medium

  [ Erayd ]
  * Added property name in draft-3 required error (#432) (#433)

  [ David Prévot ]
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Wed, 04 Oct 2017 15:48:54 -1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                help2man,
                phpab,
                pkg-php-tools (>= 1.7~)
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Homepage: https://github.com/justinrainbow/json-schema
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-json-schema.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-json-schema.git

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM := $(shell dpkg-parsechangelog -S Version | sed 's/-[^-]*//')

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab --output src/JsonSchema/autoload.php src/JsonSchema

override_dh_installman:
	mkdir --parent $(CURDIR)/debian/tmp
	help2man \
		--name='JSON Schema command line interface' \
		--version-string=$(UPSTREAM) \
		--no-info \
		$(CURDIR)/bin/validate-json \
		> $(CURDIR)/debian/tmp/validate-json.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog

get-orig-source:
	uscan --verbose --force --rename

## php-json-schema 5.2.7

=== debian/changelog ===
php-json-schema (5.2.7-1) unstable; urgency=medium

  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <taffit@debian.org>  Tue, 06 Mar 2018 21:38:02 -1000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                help2man,
                phpab,
                pkg-php-tools (>= 1.7~)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/justinrainbow/json-schema
-Vcs-Git: git://anonscm.debian.org/pkg-php/php-json-schema.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-json-schema.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git
+Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema
 
 Package: php-json-schema
 Architecture: all

## php-json-schema 5.2.8

=== debian/changelog ===
php-json-schema (5.2.8-1) unstable; urgency=medium

  * Use debhelper-compat 12
  * Use https in Format
  * Drop get-orig-source target
  * Use /usr/share/dpkg/default.mk instead of dpkg-parsechangelog
  * Update Standards-Version to 4.3.0

 -- David Prévot <taffit@debian.org>  Fri, 18 Jan 2019 15:32:25 -1000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: andrea rota <a@xelera.eu>, David Prévot <taffit@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                help2man,
                phpab,
                pkg-php-tools (>= 1.7~)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/justinrainbow/json-schema
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
-UPSTREAM := $(shell dpkg-parsechangelog -S Version | sed 's/-[^-]*//')
+include /usr/share/dpkg/default.mk
+UPSTREAM := $(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@ --with phpcomposer
@@ -20,6 +21,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/upstream/changelog
-
-get-orig-source:
-	uscan --verbose --force --rename

## php-json-schema 5.2.9

=== debian/changelog ===
php-json-schema (5.2.9-1) unstable; urgency=medium

  * Document gbp import-ref usage
  * Use upstream testsuite
  * Update standards version, no changes needed.
  * Install schemas
  * Handle package://
  * Set upstream metadata fields: Repository.
  * Update Standards-Version to 4.4.1

 -- David Prévot <taffit@debian.org>  Sat, 05 Oct 2019 16:25:26 -1000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Uploaders: andrea rota <a@xelera.eu>, David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 12),
                help2man,
+               php-curl,
                phpab,
-               pkg-php-tools (>= 1.7~)
-Standards-Version: 4.3.0
+               phpunit,
+               pkg-php-tools
+Standards-Version: 4.4.1
 Homepage: https://github.com/justinrainbow/json-schema
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,19 @@
 
 override_dh_auto_build:
 	phpab --output src/JsonSchema/autoload.php src/JsonSchema
+	mkdir --parents vendor php/data
+	phpab \
+		--output vendor/autoload.php \
+		--template debian/autoload.tests.php.tpl \
+		tests
+	ln -s ../.. php/data/JsonSchema
+
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	phpunit --include-path src
+else
+	@echo "** tests disabled"
+endif
 
 override_dh_installman:
 	mkdir --parent $(CURDIR)/debian/tmp

## php-json-schema 5.2.10

=== debian/changelog ===
php-json-schema (5.2.10-2) unstable; urgency=medium

  * Rename main branch to debian/latest (DEP-14)
  * Update watch file format version to 4.
  * Set Rules-Requires-Root: no.
  * Update Standards-Version to 4.5.1
  * Adapt to recent version of PHPUnit (9)

 -- David Prévot <taffit@debian.org>  Sat, 12 Dec 2020 12:05:58 -0400

php-json-schema (5.2.10-1) unstable; urgency=medium

  [ Mathias Berchtold ]
  * Fix PHP 8 deprecated warnings (#619)

  [ David Prévot ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2020 11:00:34 -1000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: andrea rota <a@xelera.eu>, David Prévot <taffit@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                php-curl,
                phpab,
                phpunit,
                pkg-php-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/justinrainbow/json-schema
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema
+Rules-Requires-Root: no
 
 Package: php-json-schema
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,21 +16,17 @@
 	ln -s ../.. php/data/JsonSchema
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	phpunit --include-path src
-else
-	@echo "** tests disabled"
-endif
 
-override_dh_installman:
+execute_before_dh_installman:
 	mkdir --parent $(CURDIR)/debian/tmp
 	help2man \
 		--name='JSON Schema command line interface' \
 		--version-string=$(UPSTREAM) \
+		--source="validate-json $(UPSTREAM)" \
 		--no-info \
 		$(CURDIR)/bin/validate-json \
 		> $(CURDIR)/debian/tmp/validate-json.1
-	dh_installman
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/upstream/changelog

=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree
Depends: php-curl, phpab, phpunit, @

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/ \
https://github.com/justinrainbow/json-schema/tags \
.*/v?(\d[\d\.]*-?\w*)\.tar\.gz

## php-json-schema 5.2.11

=== debian/changelog ===
php-json-schema (5.2.11-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Do not call strlen() on null (#657)

  [ Guilliam Xavier ]
  * Fix CI (php-cs-fixer, HHVM) (#662)

  [ David Prévot ]
  * Simplify gbp import-orig
  * Update standards version to 4.6.0, no changes needed
  * Use dh-sequence-phpcomposer instead of pkg-php-tools
  * Generate phpabtpl at build time

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 21:36:38 -0400

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: andrea rota <a@xelera.eu>, David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-phpcomposer,
                help2man,
                php-curl,
                phpab,
                phpunit,
-               pkg-php-tools
-Standards-Version: 4.5.1
+               pkg-php-tools (>= 1.41~)
+Standards-Version: 4.6.0
 Homepage: https://github.com/justinrainbow/json-schema
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,14 @@
 UPSTREAM := $(DEB_VERSION_UPSTREAM)
 
 %:
-	dh $@ --with phpcomposer
+	dh $@
 
 override_dh_auto_build:
 	phpab --output src/JsonSchema/autoload.php src/JsonSchema
 	mkdir --parents vendor php/data
+	phpabtpl \
+		--require justinrainbow/json-schema \
+		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: php-curl, phpab, phpunit, pkg-php-tools (>= 1.41~), @

## php-json-schema 5.2.12

=== debian/changelog ===
php-json-schema (5.2.12-2) unstable; urgency=medium

  * Use php-phpspec-prophecy for tests

 -- David Prévot <taffit@debian.org>  Sun, 28 Aug 2022 13:56:05 +0200

php-json-schema (5.2.12-1) unstable; urgency=medium

  [ Jérôme Deuchnord ]
  * Fix type validation failing for "any" and false-y type wording

  [ David Prévot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Mon, 20 Jun 2022 09:28:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
                dh-sequence-phpcomposer,
                help2man,
                php-curl,
+               php-phpspec-prophecy,
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/justinrainbow/json-schema
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema
 Rules-Requires-Root: no

## php-json-schema 5.2.13

=== debian/changelog ===
php-json-schema (5.2.13-1) unstable; urgency=medium

  [ Takayasu Oyama ]
  * Add attribute `#[\AllowDynamicProperties]` to allow applying
    defaults without deprecation warning (#695) (#701)

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Tue, 26 Sep 2023 13:55:21 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/justinrainbow/json-schema
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	mkdir --parents vendor php/data
 	phpabtpl \
 		--require justinrainbow/json-schema \
+		--require phpspec/prophecy \
 		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \

=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: php-curl,
         php-phpspec-prophecy,
         phpab,
         phpunit,
         pkg-php-tools (>= 1.41~),
         @

## php-json-schema 5.3.0

=== debian/changelog ===
php-json-schema (5.3.0-2) unstable; urgency=medium

  * Ignore tests for now (Closes: #1070557)

 -- David Prévot <taffit@debian.org>  Sun, 29 Dec 2024 13:53:40 +0100

php-json-schema (5.3.0-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Bump php requirement to 7.1+

  [ Ayesh Karunaratne ]
  * [PHP 8.4] Fixes for implicit nullability deprecation

  [ David Prévot ]
  * Track version 5 for now
  * Update Standards-Version to 4.7.0
  * Use --require-file for phpabtl (Closes: #1073567)

 -- David Prévot <taffit@debian.org>  Sun, 14 Jul 2024 18:10:14 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
                php-curl,
                php-phpspec-prophecy,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.2
+               phpunit
+Standards-Version: 4.7.0
 Homepage: https://github.com/justinrainbow/json-schema
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	phpab --output src/JsonSchema/autoload.php src/JsonSchema
 	mkdir --parents vendor php/data
 	phpabtpl \
-		--require justinrainbow/json-schema \
+		--require-file ../src/JsonSchema/autoload.php \
 		--require phpspec/prophecy \
 		> debian/autoload.tests.php.tpl
 	phpab \
@@ -18,9 +18,6 @@
 		--template debian/autoload.tests.php.tpl \
 		tests
 	ln -s ../.. php/data/JsonSchema
-
-override_dh_auto_test:
-	phpunit --include-path src
 
 execute_before_dh_installman:
 	mkdir --parent $(CURDIR)/debian/tmp

=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree, allow-stderr, flaky
Depends: php-curl,
         php-phpspec-prophecy,
         phpab,
         phpunit,
         pkg-php-tools (>= 1.41~),
         @

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/justinrainbow/json-schema \
refs/tags/v?(5.+)

## php-json-schema 6.4.1

=== debian/changelog ===
php-json-schema (6.4.1-1) unstable; urgency=medium

  [ Danny van der Sluijs ]
  * docs: prepare 6.4.1 release

  [ Nicolas Grekas ]
  * Fix support for 32bits PHP (#817)

  [ David Prévot ]
  * Revert "Track version 5 for now"
  * New php-enum dependency
  * Update Standards-Version to 4.7.2
  * Ship upgrade notes
  * Ship changelog from upstream

 -- David Prévot <taffit@debian.org>  Sat, 05 Apr 2025 10:54:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                dh-sequence-phpcomposer,
                help2man,
                php-curl,
+               php-enum,
                php-phpspec-prophecy,
                phpab,
                phpunit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/justinrainbow/json-schema
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema

=== debian/tests/control ===
Tests: phpunit
Restrictions: allow-stderr, flaky, rw-build-tree
Depends: php-curl,
         php-phpspec-prophecy,
         phpab,
         phpunit,
         pkg-php-tools (>= 1.41~),
         @

## php-json-schema 6.4.2

=== debian/changelog ===
php-json-schema (6.4.2-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Danny van der Sluijs ]
  * Fix objects are non unique despite key order (#819)
  * Update constraint class to PHP 7.2 language level (#824)
  * refactor: update BaseConstraint.php to PHP 7.2 language level (#826)
  * docs: prepare 6.4.2 release

  [ Björn Brala ]
  * Update UPGRADE-6.0.md (#823)

 -- David Prévot <taffit@debian.org>  Thu, 05 Jun 2025 07:58:36 +0200

## php-json-schema 6.5.1

=== debian/changelog ===
php-json-schema (6.5.1-1) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released

  [ Danny van der Sluijs ]
  * refactor: Update test case to current (PHP) standards (#831)
  * Upgrade test suite to use generators (#834)
  * feat: update to latest json schema test suite (#821)
  * Fix PHP 8.5 $http_response_header deprecation (#841)
  * docs: Prepare 6.5.1 release

  [ David Prévot ]
  * debian/control: Document nocheck flag
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Wed, 03 Sep 2025 08:21:35 +0200

## php-json-schema 6.5.2

=== debian/changelog ===
php-json-schema (6.5.2-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix issue when http headers are already present (#843)

  [ Danny van der Sluijs ]
  * docs: Prepare 6.5.2 release

 -- David Prévot <taffit@debian.org>  Thu, 11 Sep 2025 12:29:25 +0200

## php-json-schema 6.6.0

=== debian/changelog ===
php-json-schema (6.6.0-1) unstable; urgency=medium

  [ Viktor Djupsjöbacka ]
  * Add lint check for class autoloading PSR compliance (#845)

  [ Danny van der Sluijs ]
  * feat: add implementation for strict fully validating using draft-06 schema
    (#835)
  * docs: Prepare 6.6.0 release

  [ David Prévot ]
  * Drop now useless file

 -- David Prévot <taffit@debian.org>  Sun, 12 Oct 2025 13:07:51 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,11 @@
 	dh $@
 
 override_dh_auto_build:
-	phpab --output src/JsonSchema/autoload.php src/JsonSchema
+	phpabtpl composer.json > debian/autoload.php.tpl
+	phpab \
+		--output src/JsonSchema/autoload.php \
+		--template debian/autoload.php.tpl \
+		src/JsonSchema
 	mkdir --parents vendor php/data
 	phpabtpl \
 		--require-file ../src/JsonSchema/autoload.php \
@@ -28,6 +32,3 @@
 		--no-info \
 		$(CURDIR)/bin/validate-json \
 		> $(CURDIR)/debian/tmp/validate-json.1
-
-override_dh_installchangelogs:
-	dh_installchangelogs debian/upstream/changelog

=== debian/tests/control ===
Tests: phpunit
Restrictions: allow-stderr, flaky, rw-build-tree
Depends: php-curl, php-phpspec-prophecy, phpab, phpunit, pkg-php-tools, @

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/justinrainbow/json-schema \
refs/tags/v?(\d.+)

## php-json-schema 6.6.1

=== debian/changelog ===
php-json-schema (6.6.1-1) unstable; urgency=medium

  [ Danny van der Sluijs ]
  * Don't skip ref expanding for property called enum when child of property
    called properties (#851)
  * docs: Prepare 6.6.1 release

 -- David Prévot <taffit@debian.org>  Sun, 09 Nov 2025 10:03:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                help2man,
-               php-curl,
+               php-curl <!nocheck>,
                php-enum,
-               php-phpspec-prophecy,
+               php-phpspec-prophecy <!nocheck>,
                phpab,
-               phpunit
+               phpunit <!nocheck>
 Standards-Version: 4.7.2
 Homepage: https://github.com/justinrainbow/json-schema
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema
-Rules-Requires-Root: no
 
 Package: php-json-schema
 Architecture: all

## php-json-schema 6.6.2

=== debian/changelog ===
php-json-schema (6.6.2-1) unstable; urgency=medium

  [ Dave Long ]
  * Allow underscore and tilde in URI hostnames as per RFC 3986 (#853)

  [ Danny van der Sluijs ]
  * build: Move PHP 8.5 to default add PHP 8.6 as experimental (#852)
  * docs: Prepare 6.6.2 release

 -- David Prévot <taffit@debian.org>  Tue, 02 Dec 2025 10:14:07 +0100

## php-json-schema 6.6.3

=== debian/changelog ===
php-json-schema (6.6.3-2) unstable; urgency=medium

  * Build-depend on php-phpspec-prophecy (Closes: #1122317)

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2025 11:19:49 +0100

php-json-schema (6.6.3-1) unstable; urgency=medium

  [ Edi Modrić ]
  * Update php-enum dependency version to ^4.4 (#854)

  [ Danny van der Sluijs ]
  * docs: Prepare 6.6.3 release

 -- David Prévot <taffit@debian.org>  Wed, 03 Dec 2025 13:56:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                help2man,
                php-curl <!nocheck>,
                php-enum,
-               php-phpspec-prophecy <!nocheck>,
+               php-phpspec-prophecy,
                phpab,
                phpunit <!nocheck>
 Standards-Version: 4.7.2

## php-json-schema 6.6.4

=== debian/changelog ===
php-json-schema (6.6.4-1) unstable; urgency=medium

  [ Danny van der Sluijs ]
  * docs: Changelog for 6.6.4 release

  [ Rob ]
  * UriValidator file: tests/fix(es) (#858)

  [ David Prévot ]
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Fri, 26 Dec 2025 15:33:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: php-json-schema
 Section: php
-Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: andrea rota <a@xelera.eu>, David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +10,7 @@
                php-phpspec-prophecy,
                phpab,
                phpunit <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/justinrainbow/json-schema
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-json-schema.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-json-schema

## php-json-schema 6.7.1

=== debian/changelog ===
php-json-schema (6.7.1-1) unstable; urgency=medium

  [ Copilot ]
  * Include actual media type in InvalidSchemaMediaTypeException (#872)
  * Enforce RFC 1035 hostname label length limits in draft 3/4 (#878)
  * Fix TypeError in pattern property validation with integer keys (#880)

  [ Danny van der Sluijs ]
  * docs: Correct trailing spaces in markdown files and add .editorconfig
    instruction file (#873)
  * Feat: Add Draft-07 support (#847)

  [ David Prévot ]
  * Convert d/watch to version 5
  * Handle upstream tags starting with “v”
  * Don’t install release scripts

 -- David Prévot <taffit@debian.org>  Sat, 14 Feb 2026 07:58:35 +0100

## php-json-schema 6.7.2

=== debian/changelog ===
php-json-schema (6.7.2-1) unstable; urgency=medium

  [ github-actions[bot] ]
  * docs: Prepare release 6.7.2

 -- David Prévot <taffit@debian.org>  Wed, 18 Feb 2026 08:52:35 +0100

=== debian/watch ===
Version: 5

Source: https://github.com/justinrainbow/json-schema
Matching-Pattern: refs/tags/v?(\d.+)
Gitexport: all
Gitmode: full
Mode: git
Uversionmangle: s/-?([^\d.])/~$1/i;tr/A-Z/a-z/
